## NAME

v.in.gshhs - import Global Self-consistant Hierarchical High-resolution Shoreline (GSHHS) data
(GRASS Vector Import Program)

## SYNOPSIS

v.in.gshhs [-g] [-s] [-a] input=name output=name [n=value] [s=value] [e=value] [w=value]

## DESCRIPTION

The v.in.gshhs program imports Global Self-consistant Hierarchical High-resolution Shoreline (GSHHS) data available from http://www.soest.hawaii.edu/wessel/gshhs/gshhs.html. Coordinates are originally lat/long and, if required, reprojected during import to the current GRASS projection. The user may supply bounding coordinates by manually entering north, south, east, and west values, or optionally using the "-g" flag to use the current GRASS region as the bounding coordinates.

### Flags:

-g
  Obtain north, south, east, and west bounding coordinates from the current GRASS region
-s
  Automatically run v.support after import
-a
  Import vector data as area-line type (default is line)

### Parameters:

input
  The name of the GSHHS shoreline file
  There are five files (resolutions) available: crude, low, intermediate, high, and full
output
  The name of the GRASS vector file to be created
n
  North limit for imported vector
n
  North limit for imported vector
s
  South limit for imported vector
e
  East limit for imported vector
w
  West limit for imported vector

## NOTES

Imported vector data is assigned labels (eg.land, lake, etc) derived from GSHHS data. Solid lines that exit and re-enter the import area are broken at the point of exit.

A GSHHS map shift sometimes reported may be related to the map datum. The GSHHS reference ellipsoid is the same as for the GSHHS data sources WVS ("World Vector Shoreline") and WDBII ("World Databank II") for which the reference ellipsoid is unknown. The GSHHS data set is provided in Latitude/Longitude.

## EXAMPLE

The following example imports an intermediate resolution shoreline into GRASS using the current GRASS region and automatically runs v.support after import:

    v.in.gshhs -gs input=gshhs_i.b output=shoreline.int

## SEE ALSO

Appendix K in: The Generic Mapping Tools. Technical Reference and Cookbook.

## AUTHORS

This program is based on gshhstograss
Author: Simon Cox
Author: Paul Wessel
Author: Bob Covill

Last changed: $Date: 2003/08/20 08:10:13 $